com.holonplatform.datastore.mongo.spring

## Class MongoDatastoreConfigProperties.MongoDatastoreConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.datastore.mongo.spring.MongoDatastoreConfigProperties.MongoDatastoreConfigPropertiesImpl

- All Implemented Interfaces:
    com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound, MongoDatastoreConfigProperties
  Enclosing interface:
    MongoDatastoreConfigProperties

      public static class MongoDatastoreConfigProperties.MongoDatastoreConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements MongoDatastoreConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends com.holonplatform.core.config.ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.mongo.spring.MongoDatastoreConfigProperties

      `MongoDatastoreConfigProperties.MongoDatastoreConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.datastore.mongo.spring.MongoDatastoreConfigProperties

      `DATABASE, DEFAULT_MONGO_CLIENT_BEAN_NAME, DEFAULT_NAME, ENUM_CODEC_STRATEGY, PRIMARY, READ_CONCERN, READ_PREFERENCE, WRITE_CONCERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoDatastoreConfigPropertiesImpl(String dataContextId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataContextId()`

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.spring.MongoDatastoreConfigProperties

      `builder, builder`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### MongoDatastoreConfigPropertiesImpl

          public MongoDatastoreConfigPropertiesImpl(String dataContextId)

  - ### Method Detail

    - #### getDataContextId

          public Optional<String> getDataContextId()

      Specified by:
        `getDataContextId` in interface `com.holonplatform.core.datastore.DataContextBound`

Copyright © 2019 The Holon Platform. All rights reserved.